Home

ChannelConsensusState queries for the consensus state for the channel associated with the provided channel identifiers.

GET
https://axelar.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/consensus_state/revision/{revision_number}/height/{revision_height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

revision_numberstring<uint64>requiredpath

revision number of the consensus state

revision_heightstring<uint64>requiredpath

revision height of the consensus state

Response

200OK

A successful response.

default

An unexpected error response